> For the complete documentation index, see [llms.txt](https://docs.polyteia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.polyteia.com/api-docs/en/organization.md).

# Organization

## Queries

***

### <mark style="background-color:yellow;">get\_organization</mark>

Get organization details.

#### Parameters

* `id` (required): The ID of the organization.

#### Example

```bash
curl -X POST 'https://app.polyteia.com/api' \
    -header "Content-Type: application/json" \
    -header "Authorization: Bearer <your_access_token>" \
    --data '{
        "query": "get_organization",
        "params": {
            "id": "org_cv33u4n0i6q45p93i930"
        }
    }'
```

#### **Organization Response**

* `id`: The ID of the organization.
* `created_at`: The date and time when the organization was created.
* `updated_at`: The date and time when the organization was last updated.
* `name`: The name of the organization.
* `description`: The description of the organization.
* `slug`: The slug of the organization.

#### Example Response

```json
{
    "data": {
        "id": "org_cv33u4n0i6q45p93i930",
        "created_at": "2025-03-24T15:12:49.186202Z",
        "updated_at": "2025-03-24T20:01:59.408382Z",
        "name": "Polyteia",
        "description": "Polyteia organization managed by Polyteia GmbH",
        "slug": "polyteia"
    }
}
```

***

### <mark style="background-color:yellow;">list\_organizations</mark>

Paginated list of all organizations subject to the user's access rights.

#### Parameters

* `page` (required): The page number to return. `minimum: 1`
* `size` (required): The number of items to return per page. `minimum: 1, maximum: 100`

#### Example

```bash
curl -X POST 'https://app.polyteia.com/api' \
    -header "Content-Type: application/json" \
    -header "Authorization: Bearer <your_access_token>" \
    --data '{
        "query": "list_organizations",
        "params": {
            "page": 1,
            "size": 10
        }
    }'
```

#### Response

* `total`: The total number of organizations subject to the user's access rights.
* `page`: The current page number.
* `size`: The number of items requested per page.
* `items`: An array of organizations. See [Organization Response](#organization-response) for more details.

#### Example Response

```json
{
    "data": {
        "total": 1,
        "page": 1,
        "size": 100,
        "items": [
            {
                "id": "org_cv33u4n0i6q45p93i930",
                "created_at": "2025-03-24T15:12:49.186202Z",
                "updated_at": "2025-03-24T20:01:59.408382Z",
                "name": "Polyteia",
                "description": "Polyteia organization managed by Polyteia GmbH",
                "slug": "polyteia"
            }
        ]
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.polyteia.com/api-docs/en/organization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
